const ngModuleName = 'formlyIonic';
const angular = require('./angular-fix');
const ngModule = angular.module(ngModuleName, [
  require('angular-formly'),
  require('angular-messages')
]);

const wrappers = require.context('./wrappers', true, /.js$/);
const types = require.context('./types', true, /.js$/);

ngModule.constant(
  'formlyIonicApiCheck',
  require('api-check')({
    output: {
      prefix: 'angular-formly-ionic'
    }
  })
);
ngModule.constant('formlyIonicVersion', VERSION);

requireAll(wrappers)
  .forEach(wrapperFactory=>{
    wrapperFactory(ngModule);
  });

requireAll(types)
  .forEach(typeFactory=>{
    typeFactory(ngModule);
  });


function requireAll(requireContext) {
  return requireContext.keys().map(requireContext);
}

export default ngModuleName;
